Loading...
Searching...
No Matches
Vector.h File Reference

typedef and functions to augment Eigen's VectorXd More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | MKL_BLAS MKL_DOMAIN_BLAS
#define | Z_2x1 Vector2::Constant(0.0)
#define | Z_3x1 Vector3::Constant(0.0)
#define | Z_4x1 Vector4::Constant(0.0)
#define | Z_5x1 Vector5::Constant(0.0)
#define | Z_6x1 Vector6::Constant(0.0)
#define | Z_7x1 Vector7::Constant(0.0)
#define | Z_8x1 Vector8::Constant(0.0)
#define | Z_9x1 Vector9::Constant(0.0)
#define | Z_10x1 Vector10::Constant(0.0)
#define | Z_11x1 Vector11::Constant(0.0)
#define | Z_12x1 Vector12::Constant(0.0)
#define | Z_15x1 Vector15::Constant(0.0)
#define | GTSAM_MAKE_VECTOR_DEFS(N)

## Typedefs

typedef Eigen::VectorXd | gtsam::Vector
typedef Eigen::Matrix< double, 1, 1 > | gtsam::Vector1
typedef Eigen::Vector2d | gtsam::Vector2
typedef Eigen::Vector3d | gtsam::Vector3
typedef Eigen::VectorBlock< Vector > | gtsam::SubVector
typedef Eigen::VectorBlock< const Vector > | gtsam::ConstSubVector

## Functions

bool | gtsam::fpEqual (double a, double b, double tol, bool check_relative_also=true)
| Ensure we are not including a different version of Eigen in user code than while compiling gtsam, since it can lead to hard-to-understand runtime crashes.
void | gtsam::print (const Vector &v, const std::string &s, std::ostream &stream)
| print without optional string, must specify cout yourself
void | gtsam::print (const Vector &v, const std::string &s="")
| print with optional string to cout
void | gtsam::save (const Vector &A, const std::string &s, const std::string &filename)
| save a vector to file, which can be loaded by matlab
bool | gtsam::operator== (const Vector &vec1, const Vector &vec2)
| operator==()
bool | gtsam::greaterThanOrEqual (const Vector &v1, const Vector &v2)
| Greater than or equal to operation returns true if all elements in v1 are greater than corresponding elements in v2.
bool | gtsam::equal_with_abs_tol (const Vector &vec1, const Vector &vec2, double tol=1e-9)
| VecA == VecB up to tolerance.
bool | gtsam::equal_with_abs_tol (const SubVector &vec1, const SubVector &vec2, double tol)
bool | gtsam::equal (const Vector &vec1, const Vector &vec2, double tol)
| Override of equal in Lie.h.
bool | gtsam::equal (const Vector &vec1, const Vector &vec2)
| Override of equal in Lie.h.
bool | gtsam::assert_equal (const Vector &vec1, const Vector &vec2, double tol=1e-9)
| Same, prints if error.
bool | gtsam::assert_inequal (const Vector &vec1, const Vector &vec2, double tol=1e-9)
| Not the same, prints if error.
bool | gtsam::assert_equal (const SubVector &vec1, const SubVector &vec2, double tol=1e-9)
| Same, prints if error.
bool | gtsam::assert_equal (const ConstSubVector &expected, const ConstSubVector &actual, double tol)
bool | gtsam::linear_dependent (const Vector &vec1, const Vector &vec2, double tol=1e-9)
| check whether two vectors are linearly dependent
Vector | gtsam::ediv_ (const Vector &a, const Vector &b)
| elementwise division, but 0/0 = 0, not inf
template<class V1, class V2>
double | gtsam::dot (const V1 &a, const V2 &b)
| Dot product.
template<class V1, class V2>
double | gtsam::inner_prod (const V1 &a, const V2 &b)
| compatibility version for ublas' inner_prod()
pair< double, Vector > | gtsam::house (const Vector &x)
| house(x,j) computes HouseHolder vector v and scaling factor beta from x, such that the corresponding Householder reflection zeroes out all but x.
double | gtsam::houseInPlace (Vector &x)
| beta = house(x) computes the HouseHolder vector in place
pair< Vector, double > | gtsam::weightedPseudoinverse (const Vector &v, const Vector &weights)
| Weighted Householder solution vector, a.k.a., the pseudoinverse of the column NOTE: if any sigmas are zero (indicating a constraint) the pseudoinverse will be a selection vector, and the variance will be zero.
double | gtsam::weightedPseudoinverse (const Vector &a, const Vector &weights, Vector &pseudo)
Vector | gtsam::concatVectors (const std::list< Vector > &vs)
| concatenate Vectors
Vector | gtsam::concatVectors (size_t nrVectors,...)
| concatenate Vectors

## Detailed Description

typedef and functions to augment Eigen's VectorXd

Author
  Kai Ni
  Frank Dellaert
  Alex Hagiopol
  Varun Agrawal

## Macro Definition Documentation

## GTSAM_MAKE_VECTOR_DEFS

#define GTSAM_MAKE_VECTOR_DEFS | ( |  | N | ) |

Value:
using Vector##N = Eigen::Matrix<double, N, 1>;